> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1platformnotifications



## OpenAPI

````yaml https://api.comm.com/docs/api.json get /v1/platform/notifications
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/platform/notifications:
    get:
      tags:
        - PlatformNotifications
      operationId: platform/notifications.index
      parameters:
        - name: page
          in: query
          schema:
            type:
              - integer
              - 'null'
        - name: per_page
          in: query
          schema:
            type:
              - integer
              - 'null'
        - name: search
          in: query
          schema:
            type: string
        - name: search_ids
          in: query
          schema:
            type: array
            items:
              type: string
              format: uuid
      responses:
        '200':
          description: The paginated collection of `TeamNotificationData`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    description: The list of items
                    items:
                      $ref: '#/components/schemas/TeamNotificationData'
                  links:
                    type: array
                    description: Generated paginator links.
                    items:
                      type: object
                      properties:
                        url:
                          type:
                            - string
                            - 'null'
                        label:
                          type: string
                        active:
                          type: boolean
                      required:
                        - url
                        - label
                        - active
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                      first_page_url:
                        type: string
                      from:
                        type:
                          - integer
                          - 'null'
                      last_page:
                        type: integer
                      last_page_url:
                        type: string
                      next_page_url:
                        type:
                          - string
                          - 'null'
                      path:
                        type:
                          - string
                          - 'null'
                        description: Base path for paginator generated URLs.
                      per_page:
                        type: integer
                        description: Number of items shown per page.
                      prev_page_url:
                        type:
                          - string
                          - 'null'
                      to:
                        type:
                          - integer
                          - 'null'
                        description: Number of the last item in the slice.
                      total:
                        type: integer
                        description: Total number of items being paginated.
                    required:
                      - current_page
                      - first_page_url
                      - from
                      - last_page
                      - last_page_url
                      - next_page_url
                      - path
                      - per_page
                      - prev_page_url
                      - to
                      - total
                required:
                  - data
                  - links
                  - meta
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    TeamNotificationData:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/TeamNotificationTypeEnum'
        title:
          type: string
        content:
          type: string
        created_at:
          type:
            - string
            - 'null'
        read_at:
          type:
            - string
            - 'null'
        team_id:
          type:
            - string
            - 'null'
        id:
          type:
            - string
            - 'null'
        meta:
          anyOf:
            - $ref: '#/components/schemas/TeamNotificationMetaData'
            - type: 'null'
        hash:
          type:
            - string
            - 'null'
      required:
        - type
        - title
        - content
        - created_at
        - read_at
        - team_id
        - id
        - meta
        - hash
      title: TeamNotificationData
    TeamNotificationTypeEnum:
      type: string
      enum:
        - info
        - warning
        - error
        - success
      title: TeamNotificationTypeEnum
    TeamNotificationMetaData:
      type: object
      properties:
        object_id:
          type: string
        object_type:
          $ref: '#/components/schemas/TeamNotificationObjectTypeEnum'
      required:
        - object_id
        - object_type
      title: TeamNotificationMetaData
    TeamNotificationObjectTypeEnum:
      type: string
      enum:
        - integration
        - sms_campaign
        - sms_route
        - smpp_connection
        - company
        - lead_submission
      title: TeamNotificationObjectTypeEnum
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````